libcdr::CDRBitmap Struct Reference

`#include <CDRTypes.h>`

## Public Member Functions

| CDRBitmap ()
| CDRBitmap (unsigned cm, unsigned w, unsigned h, unsigned b, const std::vector< unsigned > &p, const std::vector< unsigned char > &bmp)

## Public Attributes

unsigned | colorModel
unsigned | width
unsigned | height
unsigned | bpp
std::vector< unsigned > | palette
std::vector< unsigned char > | bitmap

## Constructor & Destructor Documentation

## CDRBitmap() [1/2]

libcdr::CDRBitmap::CDRBitmap | ( |  | ) |

inline

## CDRBitmap() [2/2]

libcdr::CDRBitmap::CDRBitmap | ( | unsigned | cm,
|  | unsigned | w,
|  | unsigned | h,
|  | unsigned | b,
|  | const std::vector< unsigned > & | p,
|  | const std::vector< unsigned char > & | bmp )

inline

## Member Data Documentation

## bitmap

std::vector<unsigned char> libcdr::CDRBitmap::bitmap

Referenced by CDRBitmap(), and CDRBitmap().

## bpp

unsigned libcdr::CDRBitmap::bpp

Referenced by CDRBitmap(), and CDRBitmap().

## colorModel

unsigned libcdr::CDRBitmap::colorModel

Referenced by CDRBitmap(), and CDRBitmap().

## height

unsigned libcdr::CDRBitmap::height

Referenced by CDRBitmap(), and CDRBitmap().

## palette

std::vector<unsigned> libcdr::CDRBitmap::palette

Referenced by CDRBitmap(), and CDRBitmap().

## width

unsigned libcdr::CDRBitmap::width

Referenced by CDRBitmap(), and CDRBitmap().

The documentation for this struct was generated from the following file:

- CDRTypes.h